:root {
  --accent-pink: rgb(255, 7, 110);
  --border-pink: 1px solid rgba(172, 26, 87, 0.795);

  --accent-blue: #1a96a4;
  --border-blue: 1px solid rgba(23, 115, 190, 0.781);

  --accent-green: #41a129;
  --border-green: 1px solid rgba(53, 129, 18, 0.781);

  --text-color: grey;
  --text-smaller: 300;

  --page-bg: rgb(56, 60, 83);
  --shadow-dark: 5px 5px 15px rgba(0, 0, 0, 0.9);
  --shadow-light: 5px 5px 5px rgba(0, 0, 0, 0.6);
}

body {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--page-bg);
  overflow-x: hidden;
}

.card-container {
  display: flex;
  align-items: center;
  margin-top: 10%;
}

.card {
  display: grid;
  grid-template-columns: 300px;
  grid-template-rows: 210px 210px 80px;
  grid-template-areas: 'image' 'text' 'stats';

  font-family: roboto;
  border-radius: 18px;
  background: white;
  box-shadow: var(--shadow-dark);
  text-align: center;

  transition: 0.3s ease;
  cursor: pointer;
  margin: 2rem;
}

.card-image {
  grid-area: image;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.card-text .date {
  font-size: 13px;
}

.card-text p {
  color: var(--text-color);
  font-size: 15px;
  font-weight: var(--smaller);
}

.card-text h2 {
  margin-top: 0px;
  font-size: 28px;
}

.card-text {
  grid-area: text;
  margin: 25px;
}

.card-stats {
  grid-area: stats;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
}

.card-stats .stats {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 10px;
  color: white;
}

.card-stats .type {
  font-size: 11px;
  font-weight: var(--smaller);
  text-transform: uppercase;
}

.card-stats .value {
  font-size: 22px;
  font-weight: 500;
}

sup {
  font-size: 12px;
}

.card:hover {
  transform: scale(1.2);
  box-shadow: var(--shadow-light);
}

/* card colour variations */
.green {
  background: var(--accent-green);
}

.green-card .card-image {
  background: url('/assets/dog-bg.jpg');
  background-size: cover;
}
.green .border {
  border-left: var(--border-green);
  border-right: var(--border-green);
}

.green-card .date {
  color: var(--accent-green);
}

.pink {
  background: var(--accent-pink);
}

.pink-card .card-image {
  background: url('/assets/cat-bg.jpg');
  background-size: cover;
}
.pink .border {
  border-left: var(--border-pink);
  border-right: var(--border-pink);
}

.pink-card .date {
  color: var(--accent-pink);
}

.blue {
  background: var(--accent-blue);
}

.blue-card .card-image {
  background: url('/assets/bunny-bg.jpg');
  background-size: cover;
}
.blue .border {
  border-left: var(--border-blue);
  border-right: var(--border-blue);
}

.blue-card .date {
  color: var(--accent-blue);
}

/* Media Queries */
@media (max-width: 1200px) {
  .card-container {
    flex-direction: column;
  }
}
